Bug 1289006 (python-pyactivetwo) - Review Request: python-pyactivetwo - Python library for reading signal from BioSemi ActiveTwo EEG device
Summary: Review Request: python-pyactivetwo - Python library for reading signal from B...
Keywords:
Status: CLOSED ERRATA
Alias: python-pyactivetwo
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: fedora-neuro
TreeView+ depends on / blocked
 
Reported: 2015-12-07 08:34 UTC by Igor Gnatenko
Modified: 2015-12-28 22:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-28 22:58:36 UTC
zbyszek: fedora-review+


Attachments (Terms of Use)

Description Igor Gnatenko 2015-12-07 08:34:40 UTC
Spec URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-pyactivetwo.spec
SRPM URL: https://ignatenkobrain.fedorapeople.org/neurofedora/python-pyactivetwo-0.1-1.fc24.src.rpm
Description: Python library for reading signal from BioSemi ActiveTwo EEG device
Fedora Account System Username: ignatenkobrain

Comment 1 Zbigniew Jędrzejewski-Szmek 2015-12-09 15:46:53 UTC
.egg-info doesn't need to be deleted.

cp -p %{SOURCE1} → %autosetup ... -a1 

Remove empty %check.

BR should be one-per-line.

- license is OK
- license file is present, %license is used
- new python packaging template is used
- provides/requires are ok
- latest version
- no scriptlets
- builds and installs OK
- fedora-review is happy

rpmlint:
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Package is APPROVED.

Comment 2 Igor Gnatenko 2015-12-12 12:21:19 UTC
(In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> .egg-info doesn't need to be deleted.
Why?
> 
> cp -p %{SOURCE1} → %autosetup ... -a1 
ok
> 
> Remove empty %check.
ok
> 
> BR should be one-per-line.
I'm somehow grouping it...
> 
> - license is OK
> - license file is present, %license is used
> - new python packaging template is used
> - provides/requires are ok
> - latest version
> - no scriptlets
> - builds and installs OK
> - fedora-review is happy
> 
> rpmlint:
> 3 packages and 0 specfiles checked; 0 errors, 0 warnings.
> 
> Package is APPROVED.

Comment 3 Zbigniew Jędrzejewski-Szmek 2015-12-12 16:03:05 UTC
(In reply to Igor Gnatenko from comment #2)
> (In reply to Zbigniew Jędrzejewski-Szmek from comment #1)
> > .egg-info doesn't need to be deleted.
> Why?
The guidelines say that egg *packages* cannot be distributed, but egg *metadata* (i.e. the directory) is not the same thing. It will be recreated, if it is deleted, but deleting it simply isn't necessary.

> > BR should be one-per-line.
> I'm somehow grouping it...
I know. OTOH, diffs are less readable. Anyway, for a simple package like that it doesn't matter too much.

Comment 4 Gwyn Ciesla 2015-12-12 17:17:31 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/python-pyactivetwo

Comment 5 Fedora Update System 2015-12-12 17:59:41 UTC
python-pyactivetwo-0.1-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3cca7ecf2c

Comment 6 Fedora Update System 2015-12-13 17:21:50 UTC
python-pyactivetwo-0.1-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-pyactivetwo'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3cca7ecf2c

Comment 7 Fedora Update System 2015-12-28 22:58:34 UTC
python-pyactivetwo-0.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.